Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

POST /v1/ephemeral_keys

Create an ephemeral key

Creates a short-lived API key for a given resource.

Request parameters

FieldTypeDescription
customerstringThe ID of the Customer you'd like to modify using the resulting ephemeral key.
expandarray of stringSpecifies which fields in the response should be expanded.
issuing_cardstringThe ID of the Issuing Card you'd like to access using the resulting ephemeral key.
noncestringA single-use token, created by Stripe.js, used for creating ephemeral keys for Issuing Cards without exchanging sensitive information.
verification_sessionstringThe ID of the Identity VerificationSession you'd like to access using the resulting ephemeral key

Responses

HTTP 200: Successful response.
FieldTypeDescription
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
expires requiredintegerTime at which the key will expire. Measured in seconds since the Unix epoch.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
secretstringThe key's secret. You can use this value to make authorized requests to the Stripe API.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
DELETE /v1/ephemeral_keys/{key}

Immediately invalidate an ephemeral key

Invalidates a short-lived API key for a given resource.

Request parameters

ParameterLocationTypeDescription
keypathstring
FieldTypeDescription
expandarray of stringSpecifies which fields in the response should be expanded.

Responses

HTTP 200: Successful response.
FieldTypeDescription
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
expires requiredintegerTime at which the key will expire. Measured in seconds since the Unix epoch.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
secretstringThe key's secret. You can use this value to make authorized requests to the Stripe API.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors